Skip to main content
GET
Retrieve all mass beneficiary submissions
Retrieve all the mass beneficiary submissions of a client The status field will provide the latest status of each submission, whether processing is complete or still running.

Headers

Authorization
string
required

The access token.

Query Parameters

client_id
string
required

The identifier of a client.

page
integer<int32>

The desired page number for pagination. By default is 1.

page_size
integer<int32>

The number of items per page for pagination. By default is 50.

Response

List of mass beneficiaries

mass_beneficiary_id
string<uuid>
required

Unique UUID of the mass beneficiary.

error
object | null
required

The generic error message for the mass beneficiary request, if any.

Links to the resources related to the errored and successfully created beneficiaries of a mass beneficiary. The mass_beneficiary_id does not need to be stored, as these resources may be accessed with the provided links.

summary
object
required

Categorized counters for the mass beneficiary.

status
enum<string>
required

The status of a mass beneficiary instruction:

  • pending: The mass beneficiary is pending to be processed.
  • creating: The mass beneficiary is being processed.
  • created: The mass beneficiary has been successfully processed.
  • failed: The mass beneficiary has failed during processing.
  • unknown: The mass beneficiary has an unknown status.
Available options:
pending,
creating,
created,
failed,
unknown